package com.fs.qywx.service;

import java.util.List;
import com.fs.qywx.domain.QywxCompany;
import com.fs.qywx.vo.QywxCompanyListVO;
import org.apache.ibatis.annotations.Param;


/**
 * 企业微信三方应用授权公司Service接口
 *
 * @author fs
 * @date 2023-07-24
 */
public interface IQywxCompanyService
{
    /**
     * 查询企业微信三方应用授权公司
     *
     * @param id 企业微信三方应用授权公司主键
     * @return 企业微信三方应用授权公司
     */
    public QywxCompany selectQywxCompanyById(Integer id);

    /**
     * 查询企业微信三方应用授权公司列表
     *
     * @param qywxCompany 企业微信三方应用授权公司
     * @return 企业微信三方应用授权公司集合
     */
    public List<QywxCompany> selectQywxCompanyList(QywxCompany qywxCompany);

    /**
     * 新增企业微信三方应用授权公司
     *
     * @param qywxCompany 企业微信三方应用授权公司
     * @return 结果
     */
    public int insertQywxCompany(QywxCompany qywxCompany);

    /**
     * 修改企业微信三方应用授权公司
     *
     * @param qywxCompany 企业微信三方应用授权公司
     * @return 结果
     */
    public int updateQywxCompany(QywxCompany qywxCompany);

    /**
     * 批量删除企业微信三方应用授权公司
     *
     * @param ids 需要删除的企业微信三方应用授权公司主键集合
     * @return 结果
     */
    public int deleteQywxCompanyByIds(Integer[] ids);

    /**
     * 删除企业微信三方应用授权公司信息
     *
     * @param id 企业微信三方应用授权公司主键
     * @return 结果
     */
    public int deleteQywxCompanyById(Integer id);


    boolean deleteQywxCompanyByCorpId(String corpId);


     List<QywxCompanyListVO> selectQywxCompanyListVO(QywxCompany qywxCompany);

    void updateAccessToken( String corpId, String accessToken);

}
